return {
  'sainnhe/everforest',
  lazy = false,
  priority = 1000,
  config = function()
    -- Example config for Everforest
    vim.g.everforest_background = 'soft'  -- Options: 'hard', 'medium', 'soft'
    vim.g.everforest_transparent_background = true  -- Enable transparency
    vim.g.everforest_better_performance = 1  -- Better performance settings

    -- Load the colorscheme
    vim.cmd('colorscheme everforest')

    -- Toggle background transparency
    local bg_transparency = true 

    local toggle_transparency = function()
      bg_transparency = not bg_transparency
      vim.g.everforest_transparent_background = bg_transparency
      vim.cmd('colorscheme everforest')
    end

    vim.keymap.set('n', '<leader>bg', toggle_transparency, { noremap = true, silent = true })
  end
}

